This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 247322 - hplip broken preinstall scriptlet prevents an installation
hplip broken preinstall scriptlet prevents an installation
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: hplip (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Tim Waugh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-06 18:03 EDT by Michal Jaegermann
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version: 2.7.6-3.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-07 18:33:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Michal Jaegermann 2007-07-06 18:03:04 EDT
Description of problem:

Watch this:

# yum install hplip.x86_64
....
Downloading Packages:
(1/1): hplip-2.7.6-1.fc8. 100% |=========================| 9.8 MB    02:22
.....
Transaction Test Succeeded
Running Transaction
error: %pre(hplip-2.7.6-1.fc8.x86_64) scriptlet failed, exit status 1
error:   install: %pre scriptlet failed (2), skipping hplip-2.7.6-1.fc8

Installed: hplip.x86_64 0:2.7.6-1.fc8
Complete!
# rpm -q hplip
package hplip is not installed

Putting aside a problem with yum which claims that it installed
something while this is not really true (see bug 186945) the problem
is really here:

# rpm -q  --scripts hplip
preinstall scriptlet (using /bin/sh):
# No daemons any more.
[ -x /etc/init.d/hplip ] && /sbin/service hplip stop

That script fails if /etc/init.d/hplip does not exist or, possibly,
when it was not running.  Adding 'exit 0' in the next line would
cover all contingencies.

Version-Release number of selected component (if applicable):
hplip-2.7.6-1.fc8

Note You need to log in before you can comment on or make changes to this bug.